<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

class AnmeldedatenSelectorUmmeldungFirma extends AnmeldedatenSelectorUmmeldung
{
  
  public function getAnmeldedaten($argument)
  {
    $this->setArgument($argument);

    $anmeldedaten = new Anmeldedaten();

    $this->fillKurs($anmeldedaten);
    $this->fillHauptBelegungNormal($anmeldedaten);
    $this->fillZahlungenNormal($anmeldedaten);

    return $anmeldedaten;
  }

  
  protected function fillZahlungenNormal($anmeldedaten)
  {
    parent::fillZahlungenNormal($anmeldedaten);
    $zahlungen = $anmeldedaten->getZahlungen();
    $anzahlZahlungen = count($zahlungen);
    for ($i = 0; $i < $anzahlZahlungen; $i++) {
      $zahlungen[$i]->text = $zahlungen[$i]->text . ' bei Ummeldung';
    }
    $anmeldedaten->setZahlungen($zahlungen);
  }

  protected function fillZahlungenFirma($anmeldedaten)
  {
  }
}